import i from "../common/AppLink.vue.mjs";
import { FontAwesomeIcon as a } from "@fortawesome/vue-fontawesome";
import r from "../../i18n/i18n.mjs";
import "./FooterTop.vue2.mjs";
import n from "../../_virtual/_plugin-vue2_normalizer.mjs";
const l = {
  name: "FooterTop",
  components: {
    FontAwesomeIcon: a,
    // AccessLinkIcon,
    AppLink: i
  },
  data() {
    return {
      facebookURL: "https://www.facebook.com/data.europa.eu",
      twitterURL: "https://twitter.com/EU_opendata",
      linkedInURL: "https://www.linkedin.com/company/publications-office-of-the-european-union",
      youtubeURL: "https://www.youtube.com/c/PublicationsOffice",
      contactCommission: "https://ec.europa.eu/info/about-european-commission/contact_",
      followEuropeanCommission: "https://european-union.europa.eu/contact-eu/social-media-channels_",
      resourcesForPartners: "https://ec.europa.eu/info/resources-partners_"
    };
  },
  props: {
    useLogin: {
      type: [Boolean, String],
      default: !1
    },
    authenticated: {
      type: Boolean,
      default: !1
    },
    login: {
      type: String,
      default: "/login"
    },
    loginTitle: {
      type: String,
      default: "Login"
    },
    logout: {
      type: String,
      default: "/logout"
    },
    logoutTitle: {
      type: String,
      default: "Logout"
    }
  },
  i18n: {
    messages: r
  }
};
var c = function() {
  var t = this, e = t._self._c;
  return e("div", { attrs: { id: "footer_first" } }, [e("div", { staticClass: "container separation-line", attrs: { id: "deu" } }, [e("div", { staticClass: "row flex-column flex-md-row" }, [e("div", { staticClass: "col-md pl-0 columnFooter", attrs: { id: "footer_first_left" } }, [e("div", { staticClass: "region region-footer-first-left" }, [e("div", { staticClass: "region-footer-first-left-headline" }, [e("h2", { staticClass: "font-weight-normal" }, [e("a", { attrs: { href: `/${t.$route.query.locale}`, "aria-label": "data.europa.eu logo" } }, [t._v("data.europa.eu")])])]), e("p", { staticClass: "footer-sub-text managed-by" }, [t._v(t._s(t.$t("message.footer.managedBy")))])])]), e("div", { staticClass: "px-0 px-md-2 col-md columnFooter", attrs: { id: "footer_first_middle" } }, [e("div", { staticClass: "region region-footer-first-middle mb-md-4" }, [e("div", { attrs: { id: "block-subscribetoournewsletter" } }, [e("div", { staticClass: "clearfix" }, [e("h2", [e("div", { staticClass: "region-footer-first-middle-headline" }, [t._v(t._s(t.$t("message.footer.contactUs.title")))])]), e("a", { staticClass: "footer-sub-text pt-0", attrs: { href: `/${t.$route.query.locale}/contact-us` } }, [t._v(" " + t._s(t.$t("message.footer.contactUs.contactUs")) + " ")]), e("a", { staticClass: "footer-sub-text", attrs: { href: `/${t.$route.query.locale}/newsletter` } }, [t._v(" " + t._s(t.$t("message.footer.contactUs.subscribe")) + " ")])])])]), e("div", { staticClass: "region region-footer-first-middle" }, [e("div", { staticClass: "clearfix" }, [t._m(0), e("div", { staticClass: "more-services footer-top-bottom-list d-flex" }, [e("a", { staticClass: "footer-sub-text pt-0", attrs: { href: `${t.contactCommission}${t.$route.query.locale}` } }, [t._v(" " + t._s(t.$t("message.footer.links.contactCommission")) + " ")]), e("a", { staticClass: "footer-sub-text pt-0", attrs: { href: `${t.followEuropeanCommission}${t.$route.query.locale}#/search?page=0&institutions=european_commission` } }, [t._v(" " + t._s(t.$t("message.footer.links.followEuropeanCommission")) + " ")]), e("a", { staticClass: "footer-sub-text pt-0", attrs: { href: `${t.resourcesForPartners}${t.$route.query.locale}` } }, [t._v(" " + t._s(t.$t("message.footer.links.resources")) + " ")])])])]), e("div", { staticClass: "region region-footer-first-middle" }, [e("div", { attrs: { id: "block-followuson" } }, [e("div", { staticClass: "clearfix" }, [e("h2", [e("div", { staticClass: "region-footer-first-middle-headline" }, [t._v(t._s(t.$t("message.footer.followUs")))])]), e("ul", { staticClass: "social-media footer-sub-text" }, [e("li", [e("a", { staticClass: "facebook pt-0", attrs: { href: `${t.facebookURL}`, target: "_blank", rel: "noopener" }, on: { click: function(o) {
    return t.$emit("click-follow-link", t.facebookURL);
  }, mouseup: function(o) {
    return "button" in o && o.button !== 1 ? null : t.$emit("click-follow-link", t.facebookURL);
  } } }, [e("FontAwesomeIcon", { staticClass: "deu-icon deu-icon__facebook", attrs: { icon: ["fab", "facebook"] } }), t._v("Facebook ")], 1)]), e("li", [e("a", { staticClass: "twitter pt-0", attrs: { href: `${t.twitterURL}`, target: "_blank", rel: "noopener" }, on: { click: function(o) {
    return t.$emit("click-follow-link", t.twitterURL);
  }, mouseup: function(o) {
    return "button" in o && o.button !== 1 ? null : t.$emit("click-follow-link", t.twitterURL);
  } } }, [e("FontAwesomeIcon", { staticClass: "deu-icon deu-icon__twitter", attrs: { icon: ["fab", "twitter"] } }), t._v("Twitter ")], 1)]), e("li", [e("a", { staticClass: "linkedin pt-0", attrs: { href: `${t.linkedInURL}`, target: "_blank", rel: "noopener" }, on: { click: function(o) {
    return t.$emit("click-follow-link", t.linkedInURL);
  }, mouseup: function(o) {
    return "button" in o && o.button !== 1 ? null : t.$emit("click-follow-link", t.linkedInURL);
  } } }, [e("FontAwesomeIcon", { staticClass: "deu-icon deu-icon__linkedin", attrs: { icon: ["fab", "linkedin"] } }), t._v("LinkedIn ")], 1)]), e("li", [e("a", { staticClass: "youtube", attrs: { href: `${t.youtubeURL}`, target: "_blank", rel: "noopener" }, on: { click: function(o) {
    return t.$emit("click-follow-link", t.youtubeURL);
  }, mouseup: function(o) {
    return "button" in o && o.button !== 1 ? null : t.$emit("click-follow-link", t.youtubeURL);
  } } }, [e("FontAwesomeIcon", { staticClass: "deu-icon deu-icon__youtube", attrs: { icon: ["fab", "youtube"] } }), t._v("Youtube ")], 1)])])])])])]), e("div", { staticClass: "px-0 px-md-2 col-md columnFooter", attrs: { id: "footer_first_right" } }, [e("div", { staticClass: "region region-footer-first-right" }, [e("div", { staticClass: "clearfix" }, [e("h2", [e("div", { staticClass: "region-footer-first-right-headline" }, [t._v(t._s(t.$t("message.footer.aboutUs.title")))])]), e("p", { staticClass: "footer-sub-text" }, [t._v(t._s(t.$t("message.footer.aboutUs.information")))]), e("div", { attrs: { id: "block-moreservices" } }, [e("div", { staticClass: "clearfix" }, [t._m(1), e("div", { staticClass: "more-services footer-top-bottom-list d-flex" }, [e("a", { staticClass: "footer-sub-text", attrs: { href: "https://dataeuropa.gitlab.io/data-provider-manual/accessibility/" } }, [t._v(" Accessibility ")]), e("a", { staticClass: "footer-sub-text", attrs: { href: "https://data.europa.eu/en/copyright-notice" } }, [t._v(" Copyright Notice ")]), e("a", { staticClass: "footer-sub-text", attrs: { href: "/URI.html" } }, [t._v(" Persistent URIs ")]), t.useLogin === !0 || t.useLogin === "true" ? e("a", { staticClass: "footer-top-bottom-list-item" }, [t.authenticated ? e("app-link", { attrs: { to: t.logout } }, [t._v(" " + t._s(t.logoutTitle) + " ")]) : e("app-link", { attrs: { to: t.login } }, [t._v(" " + t._s(t.loginTitle) + " ")])], 1) : t._e()])])])])])])])])]);
}, u = [function() {
  var s = this, t = s._self._c;
  return t("h2", [t("div", { staticClass: "region-footer-first-middle-headline" }, [s._v("Resources ")])]);
}, function() {
  var s = this, t = s._self._c;
  return t("h2", [t("div", { staticClass: "region-footer-first-middle-headline" }, [s._v("Other Services")])]);
}], f = /* @__PURE__ */ n(
  l,
  c,
  u,
  !1,
  null,
  "96d17f9f",
  null,
  null
);
const v = f.exports;
export {
  v as default
};
//# sourceMappingURL=FooterTop.vue.mjs.map
