import { FontAwesomeIcon as l } from "@fortawesome/vue-fontawesome";
import r from "../common/AppLink.vue.mjs";
import u from "../common/AccessLinkIcon.vue.mjs";
import c from "../../i18n/i18n.mjs";
import d from "./SearchBar.vue.mjs";
import "./HeaderBottom.vue2.mjs";
import m from "../../_virtual/_plugin-vue2_normalizer.mjs";
const h = {
  name: "HeaderBottom",
  components: {
    FontAwesomeIcon: l,
    AppLink: r,
    AccessLinkIcon: u,
    SearchBar: d
  },
  props: {
    project: {
      type: String,
      default: "hub"
    },
    activeMenuItem: {
      type: [String, Number],
      default: "data"
    },
    useLanguageSelector: {
      type: Boolean,
      default: !0
    },
    menuItemsHook: {
      type: Function,
      default: (a) => a
    },
    showSparql: {
      type: Boolean,
      default: !0
    }
  },
  i18n: {
    messages: c
  },
  data() {
    return {
      isMobileNavigationExpanded: !1,
      isSubitemSelected: !1,
      toggledSubmenu: null,
      activeSubMenu: !1,
      firstEnable: !1,
      searchBarVisible: !1,
      isMSearchBarVisible: !1,
      windowWidth: window.innerWidth
    };
  },
  computed: {
    computeMenuItems() {
      const a = [
        {
          // =============== HOME ==============
          id: "home",
          to: `/${this.$route.query.locale}`,
          title: this.$t("message.header.navigation.home")
        },
        {
          // =============== DATA ==============
          id: "data",
          to: `/data/datasets?locale=${this.$route.query.locale}`,
          title: this.$t("message.header.navigation.data.title"),
          subMenuItems: [
            {
              to: `/data/datasets?locale=${this.$route.query.locale}`,
              title: this.$t("message.header.navigation.data.datasets")
            },
            {
              to: `/data/sparql?locale=${this.$route.query.locale}`,
              title: this.$t("message.header.navigation.data.sparqlsearch"),
              accessIcon: !0
            },
            {
              to: `/mqa?locale=${this.$route.query.locale}`,
              title: this.$t("message.header.navigation.data.metadataquality")
            },
            {
              to: `/catalogue-statistics/currentState?locale=${this.$route.query.locale}`,
              title: this.$t("message.header.navigation.data.statistics")
            },
            {
              to: `/data/datasets?is_hvd=true&locale=${this.$route.query.locale}`,
              title: this.$t("message.header.navigation.data.highValueDatasets")
            },
            {
              to: `/data/datasets?superCatalogue=erpd&locale=${this.$route.query.locale}`,
              // to: `/data/catalogues?superCatalog=http%3A%2F%2Fdata.europa.eu%2F88u%2Fcatalogue%2Ferpd&showsubcatalogs=true&locale=${this.$route.query.locale}`,
              title: this.$t("message.header.navigation.data.erpd")
            }
          ]
        },
        {
          // =============== DATA.EUROPA ACADEMY ==============
          id: "training",
          to: `/${this.$route.query.locale}/academy`,
          title: this.$t("message.header.navigation.training.dataEuropaAcademy")
        },
        {
          // =============== Navigation item Community ==============
          id: "Community",
          to: `/data/datasets?locale=${this.$route.query.locale}`,
          title: this.$t("message.header.navigation.community.title"),
          subMenuItems: [
            {
              to: `/${this.$route.query.locale}/apps`,
              title: this.$t("message.header.navigation.community.apps")
            },
            {
              to: `/${this.$route.query.locale}/news-events/events`,
              title: this.$t("message.header.navigation.newsEvents.events")
            },
            {
              to: `/${this.$route.query.locale}/podcasts`,
              title: this.$t("Podcasts")
            },
            {
              to: `/${this.$route.query.locale}/contact-us`,
              title: this.$t("message.header.subnav.contact")
            }
          ]
        },
        {
          // =============== STUDIES ==============
          id: "impactAndStudies",
          to: `/${this.$route.query.locale}/impact-studies/overview`,
          title: this.$t("message.header.navigation.impactStudies.publications"),
          subMenuItems: [
            {
              to: `/${this.$route.query.locale}/impact-studies/overview`,
              title: this.$t("message.header.navigation.impactStudies.overview")
            },
            {
              to: `/${this.$route.query.locale}/impact-studies/open-data-maturity`,
              title: this.$t("message.header.navigation.impactStudies.opendatamaturity")
            },
            {
              to: `/${this.$route.query.locale}/publications/datastories`,
              title: this.$t("message.header.navigation.newsEvents.stories")
            },
            {
              to: `/${this.$route.query.locale}/news-events/news`,
              title: this.$t("message.header.navigation.newsEvents.news")
            },
            {
              to: `/${this.$route.query.locale}/news-events/newsletter`,
              title: this.$t("message.header.subnav.newsletter")
            },
            {
              to: `/${this.$route.query.locale}/publications/studies`,
              title: this.$t("message.header.navigation.impactStudies.studies")
            },
            {
              to: `/${this.$route.query.locale}/impact-studies/country-insights`,
              title: this.$t("message.header.navigation.impactStudies.countyInsights")
            }
          ]
        },
        // {
        //   // =============== NEWS ==============
        //   id: 'newsAndEvents',
        //   to: `/${this.$route.query.locale}/news-events/news`,
        //   title: this.$t('message.header.navigation.newsEvents.title'),
        //   subMenuItems: [
        //     {
        //       to: `/${this.$route.query.locale}/news-events/news`,
        //       title: this.$t('message.header.navigation.newsEvents.news'),
        //     },
        //     {
        //       to: `/${this.$route.query.locale}/news-events/events`,
        //       title: this.$t('message.header.navigation.newsEvents.events'),
        //     },
        //     {
        //       to: 'https://op.europa.eu/en/web/euopendatadays',
        //       title: this.$t('message.header.navigation.newsEvents.euopendatadays'),
        //       accessIcon: true,
        //     },
        //     {
        //       to: 'https://op.europa.eu/en/web/eudatathon',
        //       title: this.$t('message.header.navigation.newsEvents.eudatathon'),
        //       accessIcon: true,
        //     },
        //     {
        //       to: `/${this.$route.query.locale}/news-events/newsletter`,
        //       title: this.$t('message.header.subnav.newsletter'),
        //     },
        //   ],
        // },
        {
          // =============== DOCUMENTATION ==============
          id: "documentation",
          to: "https://dataeuropa.gitlab.io/data-provider-manual/",
          title: this.$t("message.header.navigation.documentation"),
          accessIcon: !0
        }
      ];
      return this.adjustMenuItemsToProject(a, this.project), this.menuItemsHook(a);
    }
  },
  methods: {
    initheaderlinks() {
      let a = document.getElementsByClassName("deu-menu__item");
      for (let e = 0; e < a.length; e++)
        e % 2 == 0 && a[e].childNodes[0].classList.add("border-right-left"), e + 1 == a.length && e % 2 != 0 && a[e].childNodes[0].classList.add("border-right-right");
    },
    initSearchBar() {
      this.searchBarVisible = this.showSearchBar(window.location.pathname);
    },
    toggleMobileSearchBar() {
      this.isMSearchBarVisible = !this.isMSearchBarVisible;
    },
    handleClick(a, e, t) {
      console.log(this.activeSubMenu), t === "break" ? window.location.href = e : (this.activeSubMenu ? console.log("inside!") : this.activeSubMenu = !this.activeSubMenu, typeof e != "object" ? window.location.href = e : this.$router.push(e));
    },
    adjustMenuItemsToProject(a, e) {
      const t = JSON.parse(JSON.stringify(a)), s = t[1].subMenuItems;
      switch (e) {
        case "hub":
          s[0].to = {
            name: "Datasets",
            query: { locale: this.$route.query.locale }
          }, s[1].to = {
            name: "SparqlSearch",
            query: { locale: this.$route.query.locale }
          };
          break;
        case "metrics":
          s[3].to = {
            name: "Dashboard",
            query: { locale: this.$route.query.locale }
          };
          break;
        case "statistics":
          s[2].to = {
            name: "CurrentState",
            query: { locale: this.$route.query.locale }
          };
          break;
      }
      return t;
    },
    toggleMobileNavigation() {
      let a = document.getElementById("hamburger-menu").getAttribute("aria-expanded");
      a === "true" ? (a = "false", this.isMobileNavigationExpanded = !1) : (a = "true", this.isMobileNavigationExpanded = !0), document.getElementById("hamburger-menu").setAttribute("aria-expanded", a);
    },
    toggleSubmenuItem(a, e, t) {
      if (!(this.windowWidth > 991) && !(t === "enable" && this.firstEnable) && (t === "enable" && !this.activeSubMenu && (this.activeSubMenu = !this.activeSubMenu, this.firstEnable = !0), this.activeSubMenu && t === "back" && (this.activeSubMenu = !this.activeSubMenu, this.firstEnable = !1), this.isMobileNavigationExpanded)) {
        let s;
        this.isSubitemSelected = !this.isSubitemSelected, a ? (s = "true", this.toggledSubmenu = e) : (s = "false", this.toggledSubmenu = null), document.getElementById(`navbarDropdownMenuLink${e}`).setAttribute("aria-expanded", s);
      }
    },
    closeNavBarMenu(a, e) {
      this.isSubitemSelected && this.toggleSubmenuItem(a, e), this.toggleMobileNavigation();
    },
    showSearchBar(a) {
      return !(a === "/datasets" || a === "/data/datasets" || a === "/catalogues" || a === "/data/catalogues");
    }
  },
  watch: {
    $route(a) {
      this.searchBarVisible = this.showSearchBar(a.path);
    }
  },
  created() {
    this.initSearchBar();
  },
  mounted() {
    this.initheaderlinks();
  }
};
var g = function() {
  var e = this, t = e._self._c;
  return t("nav", { staticClass: "deu-nav navbar-expand-lg" }, [t("div", { staticClass: "deu-headline-container" }, [t("div", { staticClass: "ecl-container px-3 pb-0" }, [t("div", { staticClass: "row px-lg-3 pt-lg-3" }, [t("div", { staticClass: "d-flex justify-content-between position-relative align-items-center mobile-menu-wrap flex-column" }, [t("div", { staticClass: "pb-3 headline-wrap w-100" }, [t("div", { staticClass: "headline-wrap-inside" }, [t("div", { staticClass: "toplineHead" }, [e._v("European data")]), t("div", { staticClass: "headwrapLeft" }, [t("h1", { staticClass: "deu-headline m-0" }, [e._v("data.europa.eu")]), t("span", { staticClass: "d-none d-md-inline" }, [e._v(" " + e._s(e.$t("message.header.subtitle")))])])])]), t("div", { staticClass: "hamWrapper boxShdw w-100 d-lg-none" }, [t("a", { staticClass: "deu-header__menu-btn menu--btn py-3 px-4 mx-2", attrs: { id: "hamburger-menu", href: "#", "aria-expanded": "false", "aria-label": "Toggle navigation" }, on: { click: function(s) {
    return e.toggleMobileNavigation();
  } } }, [t("font-awesome-icon", { staticClass: "deu-icon deu-icon__bars", attrs: { icon: ["fas", "bars"] } }), t("div", [e._v(e._s(e.$t("message.header.navigation.mobile.menu")))])], 1), e.searchBarVisible ? t("div", { staticClass: "seperatorVertical" }) : e._e(), e.searchBarVisible ? t("div", { staticClass: "d-lg-none d-flex flex-column align-items-center justify-content-end text-primary header-top-button py-3 px-3 mx-2 magnifierWrap", class: { activeSearchBG: e.isMSearchBarVisible }, on: { click: function(s) {
    return e.toggleMobileSearchBar();
  } } }, [t("font-awesome-icon", { staticClass: "deu-icon deu-icon__bars search-icon", attrs: { icon: ["fas", "search"] } }), t("div", { staticClass: "HBText" }, [e._v("Search")])], 1) : e._e()])]), e.isMSearchBarVisible && e.searchBarVisible ? t("div", { staticClass: "d-lg-none row d-flex justify-content-center mobile-search-bar-container pt-3 pb-2" }, [t("search-bar", { attrs: { hideOnMobileView: !1 } })], 1) : e._e()])])]), t("div", { class: { overlay: e.isMobileNavigationExpanded, "d-none": !e.isMobileNavigationExpanded }, on: { click: function(s) {
    return e.toggleMobileNavigation();
  } } }), t("div", { staticClass: "boxShdw", class: { "open-mobile-navigation": e.isMobileNavigationExpanded }, attrs: { id: "navbar-toggle" } }, [t("div", { staticClass: "deu-menu-container ecl-container" }, [t("div", { staticClass: "region region-primary-menu" }, [t("nav", { staticClass: "menu--main", attrs: { role: "navigation", id: "block-deu-main-menu" } }, [t("div", { staticClass: "mobile-navigation-header d-lg-none" }, [t("div", { staticClass: "mobile-header", class: { "d-none": e.toggledSubmenu }, attrs: { id: "mobile-header-title" } }, [e._v(e._s(e.$t("message.header.navigation.mobile.menu")) + " ")]), t("div", { staticClass: "mobile-header align-items-center", class: { "d-flex": e.toggledSubmenu }, attrs: { id: "mobile-header-back", tabindex: "1" }, on: { click: function(s) {
    return e.toggleSubmenuItem(!1, e.toggledSubmenu, "back");
  } } }, [t("font-awesome-icon", { staticClass: "arrow-left", attrs: { icon: ["fas", "chevron-down"] } }), t("div", [e._v(e._s(e.$t("message.header.navigation.mobile.back")))])], 1), t("div", { staticClass: "close-container", on: { click: function(s) {
    return e.closeNavBarMenu(!1, e.toggledSubmenu);
  } } }, [t("div", { staticClass: "close-circle", attrs: { "aria-hidden": "true" } }, [e._v("×")]), t("div", { staticClass: "mt-1" }, [e._v(e._s(e.$t("message.header.languageSelection.close")))])])]), t("ul", { staticClass: "deu-menu navbar-nav ecl-menu__list", class: { "menu-item-list-toggle-background": e.toggledSubmenu }, attrs: { id: "menu-item-list" } }, e._l(e.computeMenuItems, function(s, i) {
    return t("li", { key: `menuItem@${i}`, staticClass: "deu-menu__item nav-item dropdown", class: {
      active: e.activeMenuItem === s.id || e.activeMenuItem === i,
      "d-none": e.toggledSubmenu !== i && e.toggledSubmenu,
      "menu-item-hide-border": e.toggledSubmenu
    } }, [s.subMenuItems && s.subMenuItems.length > 0 ? [t("div", { staticClass: "justify-content-between liWrapper", class: { "d-flex": !e.activeSubMenu } }, [t("button", { staticClass: "px-0", class: { "d-none": e.isSubitemSelected }, attrs: { fragment: "#", type: "button" }, on: { click: function(n) {
      return e.handleClick(i, s.to, "break");
    } } }, [t("div", { staticClass: "deu-menu__item-content" }, [t("span", [e._v(e._s(s.title))])])]), t("div", [t("button", { staticClass: "nav-link dropdown-toggle px-md-0 px-3 w-100 pb-12", class: { drupalBtnStyleMobileMenu: e.activeSubMenu }, attrs: { fragment: "#", id: `navbarDropdownMenuLink${i}`, type: "button", "aria-haspopup": "true", "aria-expanded": "false" }, on: { click: function(n) {
      return e.toggleSubmenuItem(!0, i, "enable");
    } } }, [t("div", { staticClass: "deu-menu__item-content" }, [t("span", { class: { "d-none": !e.isSubitemSelected }, on: { click: function(n) {
      return e.handleClick(i, s.to);
    } } }, [e._v(" " + e._s(s.title) + " ")]), t("font-awesome-icon", { staticClass: "deu-icon deu-icon__menu-item-arrow-down ml-md-0", class: { "d-none": e.toggledSubmenu }, attrs: { icon: ["fas", "chevron-down"] } })], 1)]), t("form", { staticClass: "deu-menu__dropdown dropdown-menu", attrs: { "aria-labelledby": `navbarDropdownMenuLink${i}` } }, [t("ul", { staticClass: "deu-menu__dropdown-list" }, e._l(s.subMenuItems, function(n, o) {
      return t("li", { key: `subMenuItem@${i}-${o}`, staticClass: "deu-menu__dropdown-list-item", class: {
        "d-none": i === 1 && o === 1 && e.showSparql !== !0
      } }, [t("app-link", { attrs: { to: n.to, "active-class": "active" } }, [e._v(" " + e._s(n.title) + " "), n.accessIcon ? t("AccessLinkIcon") : e._e()], 1)], 1);
    }), 0)])])])] : i == Object.keys(e.computeMenuItems).length - 1 ? [t("app-link", { staticClass: "menuItemHeader", attrs: { to: s.to } }, [t("button", { staticClass: "nav-link deu-menu__without-subitem px-0" }, [t("div", { staticClass: "deu-menu__item-content" }, [t("span", [e._v(e._s(s.title))]), s.accessIcon ? t("AccessLinkIcon") : e._e()], 1)])])] : [t("app-link", { staticClass: "menuItemHeader", attrs: { to: s.to } }, [t("button", { staticClass: "nav-link deu-menu__without-subitem px-0" }, [t("div", { staticClass: "deu-menu__item-content" }, [t("span", [e._v(e._s(s.title))]), s.accessIcon ? t("AccessLinkIcon") : e._e()], 1)])])]], 2);
  }), 0)])])])])]);
}, v = [], b = /* @__PURE__ */ m(
  h,
  g,
  v,
  !1,
  null,
  "8423b1e4",
  null,
  null
);
const C = b.exports;
export {
  C as default
};
//# sourceMappingURL=HeaderBottom.vue.mjs.map
