import { FontAwesomeIcon as t } from "@fortawesome/vue-fontawesome";
import s from "./LanguageSelector.vue.mjs";
import i from "./SearchBar.vue.mjs";
import o from "./Login.vue.mjs";
import l from "../../i18n/i18n.mjs";
import n from "./EuIcon.vue.mjs";
import "./HeaderTop.vue2.mjs";
import c from "../../_virtual/_plugin-vue2_normalizer.mjs";
const h = {
  name: "HeaderTop",
  components: {
    SearchBar: i,
    LanguageSelector: s,
    FontAwesomeIcon: t,
    Login: o,
    EuIcon: n
  },
  props: {
    useLanguageSelector: {
      type: Boolean,
      default: !0
    }
  },
  i18n: {
    messages: l
  },
  data() {
    return {
      isMSearchBarVisible: !1,
      searchBarVisible: !1
    };
  },
  computed: {
    locale() {
      return this.$route.query.locale;
    }
  },
  methods: {
    initSearchBar() {
      this.searchBarVisible = this.showSearchBar(window.location.pathname);
    },
    toggleMobileSearchBar() {
      this.isMSearchBarVisible = !this.isMSearchBarVisible;
    },
    showSearchBar(r) {
      return !(r === "/datasets" || r === "/data/datasets" || r === "/catalogues" || r === "/data/catalogues");
    }
  },
  watch: {
    $route(r) {
      this.searchBarVisible = this.showSearchBar(r.path);
    }
  },
  created() {
    this.initSearchBar();
  }
};
var u = function() {
  var e = this, a = e._self._c;
  return a("div", { key: e.$route.fullPath }, [a("div", { staticClass: "ecl-container ecl-site-header__container" }, [a("div", { staticClass: "col header-top d-flex align-items-center" }, [a("div", { staticClass: "d-flex justify-content-between w-100" }, [a("a", { staticClass: "img-Wrap-anchor", attrs: { href: `/${e.$route.query.locale}` } }, [a("eu-icon", { attrs: { locale: e.locale } })], 1), a("div", { staticClass: "d-flex align-items-stretch align-items-lg-center flex-wrap", attrs: { id: "headIconWrap" } }, [a("login", e._g(e._b({ staticClass: "iconWrap" }, "login", e.$attrs, !1), e.$listeners)), e.useLanguageSelector ? a("language-selector", { staticClass: "position-relative" }) : e._e(), a("div", { staticClass: "searchWrapper" }, [e.searchBarVisible ? a("search-bar", { attrs: { hideOnMobileView: !0 } }) : e._e()], 1)], 1)])])])]);
}, f = [], m = /* @__PURE__ */ c(
  h,
  u,
  f,
  !1,
  null,
  null,
  null,
  null
);
const w = m.exports;
export {
  w as default
};
//# sourceMappingURL=HeaderTop.vue.mjs.map
