import o from "./LanguageBox.vue.mjs";
import r from "./LanguageSelectionIcon.vue.mjs";
import c from "../../i18n/i18n.mjs";
import { useCssVars as g } from "vue";
import "./LanguageSelector.vue2.mjs";
import d from "../../_virtual/_plugin-vue2_normalizer.mjs";
const l = {
  name: "language-selector",
  components: {
    LanguageBox: o,
    LanguageSelectionIcon: r
  },
  props: {
    initialLocale: {
      type: String,
      default: "en"
    },
    fallbackLocale: {
      type: String,
      default: "en"
    }
  },
  data() {
    return {
      open: !0,
      languages: {
        bg: "Български",
        cs: "čeština",
        da: "dansk",
        de: "Deutsch",
        el: "Ελληνικά",
        en: "English",
        es: "español",
        et: "eesti",
        fr: "français",
        ga: "Gaeilge",
        hr: "Hrvatski",
        hu: "Magyar",
        it: "italiano",
        lt: "lietuvių",
        lv: "latviešu",
        mt: "Malti",
        nl: "Nederlands",
        pl: "polski",
        pt: "português",
        ro: "română",
        sk: "slovenčina",
        sl: "slovenščina",
        fi: "suomi",
        sv: "svenska"
      }
    };
  },
  i18n: {
    messages: c
  },
  computed: {
    locale: {
      get() {
        return this.getLocale();
      },
      set(a) {
        this.$root.$i18n.locale = a, this.$router.onReady(() => {
          a !== this.$route.query.locale && this.$router.push({ query: { ...this.$route.query, locale: a } });
        });
      }
    },
    offset: {
      get() {
        const a = this.$refs.langWrapperCenter;
        if (a)
          return a.offsetLeft + a.offsetWidth / 2 + 10 + "%";
      },
      set() {
      }
    }
  },
  methods: {
    initLocale() {
      this.$router.onReady(() => {
        this.locale = this.getLocale();
      });
    },
    getLocale() {
      return this.$route.query.locale ? this.$route.query.locale : this.languages[navigator.language.substring(0, 2)] ? navigator.language.substring(0, 2) : this.$env.languages.locale ? this.$env.languages.locale : this.$env.languages.fallbackLocale;
    }
  },
  beforeUpdate() {
    this.initLocale();
  },
  created() {
    this.initLocale();
  },
  mounted() {
  }
}, n = () => {
  g((a, e) => ({
    "10ba4212": a.offset
  }));
}, i = l.setup;
l.setup = i ? (a, e) => (n(), i(a, e)) : n;
const u = l;
var f = function() {
  var e = this, t = e._self._c;
  return t("div", [t("div", { ref: "langWrapperCenter", staticClass: "iconWrap d-flex flex-column flex-lg-row align-items-center header-top-button position-relative", attrs: { "data-toggle": "modal", "data-target": "#languageSelectorModal", "data-backdrop": "false", focus: "false", id: "langWrapperCenter" } }, [t("language-selection-icon", { attrs: { locale: e.locale } }), t("div", { staticClass: "mobile-header-top-text" }, [e._v(e._s(e.languages[e.locale]))])], 1), t("div", { staticClass: "modal boxShdw", attrs: { id: "languageSelectorModal", tabindex: "-1", role: "dialog", "aria-labelledby": "Language Selector Modal", "aria-hidden": "true" } }, [t("div", { staticClass: "modal-dialog", attrs: { role: "document" } }, [t("div", { staticClass: "modal-content" }, [t("div", { staticClass: "modal-body" }, [t("div", { staticClass: "d-flex justify-content-end" }), t("div", { staticClass: "d-flex align-items-center selectHead" }, [t("div", [e._v(e._s(e.$t("message.header.languageSelection.selectLanguage")))]), t("div", { staticClass: "close-button d-flex align-items-center justify-content-end", attrs: { "data-dismiss": "modal", "aria-label": "Close" } }, [t("svg", { attrs: { xmlns: "http://www.w3.org/2000/svg", height: "20px", fill: "#0e47cb", viewBox: "0 0 512 512" } }, [t("path", { attrs: { d: "M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm121.6 313.1c4.7 4.7 4.7 12.3 0 17L338 377.6c-4.7 4.7-12.3 4.7-17 0L256 312l-65.1 65.6c-4.7 4.7-12.3 4.7-17 0L134.4 338c-4.7-4.7-4.7-12.3 0-17l65.6-65-65.6-65.1c-4.7-4.7-4.7-12.3 0-17l39.6-39.6c4.7-4.7 12.3-4.7 17 0l65 65.7 65.1-65.6c4.7-4.7 12.3-4.7 17 0l39.6 39.6c4.7 4.7 4.7 12.3 0 17L312 256l65.6 65.1z" } })])])]), t("div", [t("div", { staticClass: "d-flex" }, [t("div", { staticClass: "d-flex px-3 flex-wrap justify-content-between w-100" }, [t("div", { staticClass: "mb-3 mt-1 font-weight-bold w-100 headerLangSelect" }, [e._v(e._s(e.$t("message.header.languageSelection.officialLanguages")) + " ")]), e._l(Object.keys(e.languages), function(s) {
    return t("language-box", { key: s, staticClass: "mb-2", attrs: { countryCode: s, language: e.languages[s], selectedLanguage: e.languages[e.locale] } });
  })], 2)])]), t("div", { staticClass: "mb-4" })])])])])]);
}, m = [], p = /* @__PURE__ */ d(
  u,
  f,
  m,
  !1,
  null,
  "e67ddd4d",
  null,
  null
);
const x = p.exports;
export {
  x as default
};
//# sourceMappingURL=LanguageSelector.vue.mjs.map
