import r from "../../i18n/i18n.mjs";
import { FontAwesomeIcon as s } from "@fortawesome/vue-fontawesome";
import "./SearchBar.vue2.mjs";
import i from "../../_virtual/_plugin-vue2_normalizer.mjs";
const o = {
  name: "SearchBar",
  components: {
    FontAwesomeIcon: s
  },
  props: {
    hideOnMobileView: {
      type: Boolean,
      default: !1
    }
  },
  data() {
    return {
      q: ""
    };
  },
  i18n: {
    messages: r
  },
  computed: {
    searchPath() {
      return `/data/datasets?query=${this.q}&locale=${this.$route.query.locale}`;
    }
  },
  methods: {
    search() {
      window.location.href = this.searchPath;
    },
    toggleMobileSearchBar() {
      this.$emit("mobileSearchBar", this.isMobileSearchBarVisible);
    }
  },
  created() {
  }
};
var n = function() {
  var e = this, a = e._self._c;
  return a("form", { staticClass: "ml-lg-4 mb-2 mb-lg-0", class: {
    "mobile-search-bar": e.hideOnMobileView,
    "d-lg-flex": e.hideOnMobileView,
    "d-lg-none": !e.hideOnMobileView
  }, on: { submit: function(t) {
    return t.preventDefault(), e.search();
  } } }, [a("div", { staticClass: "d-flex searchbarHeader" }, [a("div", { staticClass: "input-group-prepend" }, [a("input", { directives: [{ name: "model", rawName: "v-model", value: e.q, expression: "q" }], staticClass: "search-input", attrs: { type: "text", placeholder: e.$t("message.header.searchBar.placeholder"), "aria-label": "Search" }, domProps: { value: e.q }, on: { input: function(t) {
    t.target.composing || (e.q = t.target.value);
  } } })]), a("div", { staticClass: "input-group-append" }, [a("button", { ref: "searchButton", staticClass: "btn search-button text-primary", attrs: { type: "submit" } }, [e.hideOnMobileView ? a("div", [e._v("Search")]) : a("div", [a("font-awesome-icon", { staticClass: "deu-icon deu-icon__bars search-icon searchIconMobileSmall", attrs: { icon: ["fas", "search"] } })], 1)])])])]);
}, l = [], c = /* @__PURE__ */ i(
  o,
  n,
  l,
  !1,
  null,
  "87a1bcf1",
  null,
  null
);
const f = c.exports;
export {
  f as default
};
//# sourceMappingURL=SearchBar.vue.mjs.map
